# Grammar Self-Test

## Q1. Which of the following is correct?

1. `The team plays good in decisive games.`
2. `The team plays well in decisive games.`


## Q2. Which of the following is correct?

1. `The candidate promised not to raise taxes when elected.`
2. `The candidate promised not to rise taxes when elected.`


## Q3. Is this sentence correct?

```
To see well, the lights in this room need to be adjusted.
```

1. This sentence is correct.
2. This sentence has a dangling modifier.
3. This sentence has a comma splice.


## Q4. Which of the following is correct?

1. `I haven't barely started to think about my exam.`
2. `I have barely started to think about my exam.`

## Q5. Identify the problem with the following paragraph:

```
Elizabeth Peabody was born in a school and thereafter felt destined to be a
teacher. Her mother was a teacher and trains her daughters at her side. The
academic life seems to suit Elizabeth, who thrived on the rigorous curriculum.
```

1. It lacks subject - verb agreement in some sentences.
2. There are inconsistent shifts in verb tenses.
3. Punctuation is wrong in this paragraph.

## Q6. Is this sentence correct?

```
The suspects were interviewed right after the crime was committed by the detectives.
```

1. This sentence is correct.
2. This sentence has a misplaced modifier.
3. This sentence needs a different form of the verb.

## Q7. Which of the following is correct?

1. `Most people not only are lifting weights at the gym, but they also do a cardiovascular workout.`
2. `Most people not only lift weights at the gym, but they also do a cardiovascular workout.`

## Q8. Which of the following is correct?

1. `Neither of the players in the last game was injured.`
2. `Neither of the players in the last game were injured.`

## Q9. Is this sentence correct?

```
The teacher asked Anne and myself to do a peer review of each other's writing.
```

1. This sentence is correct.
2. `Each other's` should be replaced with `one another's`.
3. Pronoun "myself" should be replaced with "me."

## Q10. Which of the following is correct?

1. `Anne whose research on health effects of air pollution was well-known was invited to speak at a conference.`
2. `Anne, whose research on health effects of air pollution was well-known, was invited to speak at a conference.`
3. `Anne which research on health effects of air pollution was well-known was invited to speak at a conference.`

## Q11. Which of the following is preferred?

1. `When I did my lab experiments, I tried to thoroughly document each of my measurements.`
2. `When I did my lab experiments, I tried to document thoroughly each of my measurements.`

## Q12. Which of the following is correct?

1. `Neither students nor their teacher is participating in this play.`
2. `Neither students nor their teacher are participating in this play.`

## Q13. Which of the following is correct?

1. `Current decline in the housing market is often compared to the one in the '80s.`
2. `Current decline in the housing market is often compared to the one in the 80's.`
3. `Current decline in the housing market is often compared to the one in the 80s.`

## Answers

<details>
<summary>Click here</summary>

| Q  | Answer | Related Section                                                   |
|----|--------|-------------------------------------------------------------------|
| 1  | 2      | [Adjective or Adverb](./grammar/adjective_or_adverb.md)           |
| 2  | 1      | [Commonly Confused Words](./grammar/commonly_confused_words.md)   |
| 3  | 2      | [Dangling Modifiers](./grammar/dangling_modifiers.md)             |
| 4  | 2      | [Double Negatives](./grammar/double_negatives.md)                 |
| 5  | 2      | [Inconsistent Verb Tenses](./grammar/inconsistent_verb_tenses.md) |
| 6  | 2      | [Misplaced Modifiers](./grammar/misplaced_modifiers.md)           |
| 7  | 2      | [Parallelism](./grammar/parallelism.md)                           |
| 8  | 1      | [Pronoun Agreement](./grammar/pronoun_agreement.md)               |
| 9  | 3      | [Pronouns](./grammar/pronouns.md)                                 |
| 10 | 2      | [Relative Clauses](./grammar/relative_clauses.md)                 |
| 11 | 2      | [Split Infinitives](./grammar/split_infinitives.md)               |
| 12 | 1      | [Subject-verb Agreement](./grammar/subject-verb_agreement.md)     |
| 13 | 1      | [Use of Numbers](./grammar/use_of_numbers.md)                     |

</details>
